<?php
declare(strict_types=1);

namespace Inti\Filesystem\Adapter;

use Laminas\ServiceManager\AbstractPluginManager;
use League\Flysystem\FilesystemAdapter;
use League\Flysystem\Local\LocalFilesystemAdapter;

/**
 * Class AdapterPluginManager
 *
 * @package Inti\Filesystem\Adapter
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-filesystem
 */
final class FilesystemAdapterPluginManager extends AbstractPluginManager
{
    /** @var string */
    protected $instanceOf = FilesystemAdapter::class;
    /** @var string<string, string> */
    protected $aliases = [
        'local' => LocalFilesystemAdapter::class,
    ];
    /** @var string<string, string> */
    protected $factories = [
        LocalFilesystemAdapter::class => LocalFilesystemAdapterFactory::class,
    ];
}
