<?php
declare(strict_types=1);

namespace Inti\Filesystem\Adapter;

use Laminas\ServiceManager\PluginManagerInterface;
use Psr\Container\ContainerInterface;

/**
 * Class AdapterPluginManagerFactory
 *
 * @package Inti\Filesystem\Adapter
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-filesystem
 */
final class FilesystemAdapterPluginManagerFactory
{
    /**
     * @param ContainerInterface $container
     * @return PluginManagerInterface
     */
    public function __invoke(ContainerInterface $container): PluginManagerInterface
    {
        $config = $container->get('config');
        return new FilesystemAdapterPluginManager($container, $config['filesystem_adapters'] ?? []);
    }
}
