<?php
declare(strict_types=1);

namespace Inti\Filesystem\Adapter;

use Interop\Container\ContainerInterface;
use Laminas\ServiceManager\Factory\FactoryInterface;
use League\Flysystem\Local\LocalFilesystemAdapter;

/**
 * Class LocalAdapterFactory
 *
 * @package Inti\Filesystem\Adapter
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-filesystem
 */
final class LocalFilesystemAdapterFactory implements FactoryInterface
{
    /**
     * @param ContainerInterface $container
     * @param string $requestedName
     * @param array|null $options
     * @return LocalFilesystemAdapter
     * @noinspection PhpMissingParamTypeInspection
     */
    public function __invoke(ContainerInterface $container, $requestedName, array $options = null): LocalFilesystemAdapter
    {
        return new LocalFilesystemAdapter($options['location'] ?? '');
    }
}
