<?php
declare(strict_types=1);

namespace Inti\Filesystem\Middleware;

use League\Flysystem\FilesystemOperator;
use Psr\Container\ContainerInterface;
use Psr\Http\Server\MiddlewareInterface;

/**
 * Class FilesystemMiddlewareFactory
 *
 * @package Inti\Filesystem\Middleware
 * @author Danijel Fabijan <hipnaba@gmail.com>
 * @link https://bitbucket.org/oktan-nautika/inti-filesystem
 */
final class FilesystemMiddlewareFactory
{
    /**
     * @param ContainerInterface $container
     * @return MiddlewareInterface
     */
    public function __invoke(ContainerInterface $container): MiddlewareInterface
    {
        $filesystem = $container->get(FilesystemOperator::class);
        return new FilesystemMiddleware($filesystem);
    }
}
